> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get project weather

> GET /project/{projectId}/weather



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))




## Responses
### 200
OK

#### Body: */* (array[object])
- **weatherStationId** (string)

- **date** (string(date))

- **temperatureAverage** (number(double))

- **temperatureMaximum** (number(double))

- **temperatureMinimum** (number(double))

- **precipitation** (number(double))

- **windSpeed** (number(double))

- **snow** (number(double))

- **peakWindGust** (number(double))

- **highestInstantaneousWindSpeed** (number(double))

- **fastestMileWindSpeed** (number(double))

- **fastest5SecWindSpeed** (number(double))

- **fastest1MinWindSpeed** (number(double))

- **fastest2MinWindSpeed** (number(double))

- **summary** (string)



[Powered by Bump.sh](https://bump.sh)
